Table Manager: gives an error if the postgis table structure have been modified

2009-07-05 06:08 PM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: Borys Jurgiel

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11822

Description

When I modify the table structure of a postgis layer, adding a column trough the Postgis Manager or with the "properties -> attributes"

dialog, then when the Table Manager is clicked it gives

--------------------

An error has occured while executing Python code:

Traceback (most recent call last):

  File

"/home/gio/.qgis//python/plugins/tablemanager/tableManager_plugin.py",

line 63, in run

    dialoga = tableManager_gui.TableManager(self.iface)

  File

"/home/gio/.qgis//python/plugins/tablemanager/tableManager_gui.py", line

174, in init

    self.drawFieldsTable()

  File

"/home/gio/.qgis//python/plugins/tablemanager/tableManager_gui.py", line

184, in drawFieldsTable

    item = QTableWidgetItem(fields[i].name())

[[KeyError]]: 8

Python version:

2.6.2 (release26-maint, Apr 19 2009, 02:11:59) 

[GCC 4.3.3]

Python path:['/usr/local/share/qgis/python',

'/home/gio/.qgis//python/plugins',

'/usr/local/share/qgis/python/plugins', '/usr/lib/python2.6',

'/usr/lib/python2.6/plat-linux2', '/usr/lib/python2.6/lib-tk',

'/usr/lib/python2.6/lib-old', '/usr/lib/python2.6/lib-dynload',

'/usr/lib/python2.6/dist-packages',

'/usr/lib/python2.6/dist-packages/PIL',

'/usr/lib/python2.6/dist-packages/gst-0.10',

'/var/lib/python-support/python2.6',

'/usr/lib/python2.6/dist-packages/gtk-2.0',

'/var/lib/python-support/python2.6/gtk-2.0',

'/usr/lib/python2.6/dist-packages/wx-2.8-gtk2-unicode',

'/usr/local/lib/python2.6/dist-packages',

'/usr/local/share/qgis/python/plugins/fTools/tools']
--------------------

Qgis 1.2 rev. 11023 on Ubuntu 9.04

History

#1 - 2009-08-22 12:32 AM - Borys Jurgiel

- Status changed from Open to In Progress

#2 - 2009-11-15 07:57 AM - Giovanni Manghi

still true on the latest trunk version

#3 - 2010-06-17 01:02 PM - Borys Jurgiel

- Resolution set to fixed

- Status changed from In Progress to Closed

Should work with v 0.1.11. Please reopen otherwise.
